### Name: oblique.tree
### Title: Fit an Oblique Tree to Classification Data
### Aliases: oblique.tree
### Keywords: tree

### ** Examples

#create the augmented crabs dataset
data(crabs, package = "MASS")
aug.crabs.data <- data.frame(   g=factor(rep(1:4,each=50)),
                                predict(princomp(crabs[,4:8]))[,2:3])

plot(   aug.crabs.data[,-1],type="n")
text(   aug.crabs.data[,-1],
        col=as.numeric(aug.crabs.data[,1]),
        labels=as.numeric(aug.crabs.data[,1]))

#grow a full oblique tree
ob.tree <- oblique.tree(formula         = g~.,
                        data            = aug.crabs.data,
                        oblique.splits  = "only")
plot(ob.tree);text(ob.tree)



